Subject: Re: [PATCH v3] Documentation: Document each netlink family

From: Breno Leitao <[email-masked]>
Date: Tue, 30 Jan 2024 08:06:04 -0800

On Tue, Jan 30, 2024 at 07:22:08AM -0700, Jonathan Corbet wrote:
> Jani Nikula <[email-masked]> writes:
> 
> > On Tue, 21 Nov 2023, Breno Leitao <[email-masked]> wrote:
> >> This is a simple script that parses the Netlink YAML spec files
> >> (Documentation/netlink/specs/), and generates RST files to be rendered
> >> in the Network -> Netlink Specification documentation page.
> >
> > First of all, my boilerplate complaint: All extra processing for Sphinx
> > should really be done using Sphinx extensions instead of adding Makefile
> > hacks. I don't think it's sustainable to keep adding this stuff. We
> > chose Sphinx because it is extensible, and to avoid the Rube Goldberg
> > machine that the previous documentation build system was.
> 
> So I feel like we've (me included) have kind of sent Breno around in
> circles on this one.  This *was* implemented as an extension once:
> 
>   https://lore.kernel.org/netdev/[email-masked]/
> 
> At that time it seemed too complex, and I thought that an external
> script would lead to a simpler implementation overall.  Perhaps I was
> wrong.

I think you are correct. I personally _think_ that the external script
is better, mainly because it is self contained, thus, easier to
maintain.